// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package commands

import (
	"fmt"
	"github.com/jessevdk/go-flags"
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
	"gitlab.schukai.com/oss/utilities/documentation-manager/translations"
)

const serverServeSymbol = "server-serve"

func init() {

	h := environment.Handler{
		Init:    initServerServe,
		Execute: runServerServe,
	}

	environment.Handlers.Executor[serverServeSymbol] = h

}

type ServerServeDefinition struct {
}

func initServerServe(command *flags.Command) {
	const text = "Server command"
	command.ShortDescription = translations.T.Sprintf(text)
	command.LongDescription = translations.T.Sprintf(text)
}

func runServerServe(command *flags.Command) {

	fmt.Println("Server command")

}
